Bug 993575 - [engine-webadmin] cannot edit an ISO domain when it's in Maintenance
[engine-webadmin] cannot edit an ISO domain when it's in Maintenance
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
x86_64 Unspecified
unspecified Severity medium
: ---
: 3.4.0
Assigned To: Tal Nisan
Pavel Stehlik
: Triaged
Depends On:
Blocks: 974849
  Show dependency treegraph
Reported: 2013-08-06 04:25 EDT by Elad
Modified: 2016-02-10 15:24 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-02-09 09:37:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot (39.75 KB, image/png)
2013-08-06 04:25 EDT, Elad
no flags Details

  None (edit)
Description Elad 2013-08-06 04:25:19 EDT
Created attachment 783238 [details]

Description of problem:
User cannot edit an ISO domain when the domain is in Maintenance state, the button is greyed out.

Version-Release number of selected component (if applicable):

Note that other types of storage domain are editable 

screenshot attached
Comment 1 Allon Mureinik 2013-08-08 03:50:11 EDT
The only editable property when a domain is in maintenance.
Edit connections in 3.3 is only for data domains.
Comment 2 Tal Nisan 2014-02-09 09:37:05 EST
When an ISO domain is up the name can be edited, when it's in maintenance there's no property that can be edited thus the button is grayed out, for data domain the behavior is different since in maintenance mode the connection is editable

Note You need to log in before you can comment on or make changes to this bug.